> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Variables

> Unset ($unset) specific fields across all documents in a collection.

Remove specific variables (fields) from all documents in a collection.


## OpenAPI

````yaml DELETE /api/v1/datalake/{source}/databases/{db}/variables
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/datalake/{source}/databases/{db}/variables:
    delete:
      tags:
        - Data Lake
      summary: Remove variables
      description: Unset ($unset) specific fields across all documents in a collection.
      operationId: delete-datalake-variables
      parameters:
        - name: source
          in: path
          required: true
          schema:
            type: string
        - name: db
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                variables:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: Variables removed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusMessage:
                    type: string
                  deletedCount:
                    type: integer
                  deletedFields:
                    type: array
                    items:
                      type: string
              examples:
                success:
                  value:
                    statusMessage: '[AILOOP] Variables deleted. 100 documents updated.'
                    deletedCount: 100
                    deletedFields:
                      - legacy_tracking_id
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````